[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetSystemPaletteEntries

Retrieves a range of color entries from the system palette for a device.

## Declaration

Source position: winapih.inc line 148

`public function TWidgetSet.GetSystemPaletteEntries(`
`DC: HDC;`
`StartIndex: UINT;`
`NumEntries: UINT;`
`var PaletteEntries`
`):UINT; virtual;`

## Arguments

`DC` |  | The device context.
`StartIndex` |  | The first entry to retrieve.
`NumEntries` |  | The number of requested entries.
`PaletteEntries` |  | Receives the color information. When Nil, the total number of palette entries is returned.

## Function result

The number of entries copied, zero on failure.

## See also

TWidgetSet.GetPaletteEntries |  | Retrieves a range of color entries from a logical palette.